Page MenuHomePhabricator

Rollout RESTBase usage to Android Beta app
Closed, ResolvedPublic

Description

Incrementally roll out Mobile-Content-Service and other RESTBase endpoint usage by the Android Beta app.

This will be done via the MobileApp extension which provides a remote config mechanism.
We are going to add a new key restbaseBetaPercent and increment the percentage of beta app installations eligible for using the new endpoints. The config file is located at https://meta.wikimedia.org/static/current/extensions/MobileApp/config/android.json. So, we want the extension to be deployed at least on meta.wikimedia.org.

After deployment check https://meta.wikimedia.org/static/current/extensions/MobileApp/config/android.json
Will need a cache purge on https://www.wikimedia.org/static/current/extensions/MobileApp/config/android.json. (note the www instead of meta)

echo "https://www.wikimedia.org/static/current/extensions/MobileApp/config/android.json" | mwscript purgeList.php --wiki=aawiki

Details

Related Gerrit Patches:
mediawiki/extensions/MobileApp : wmf/1.27.0-wmf.10Roll out RESTBase usage to Android Beta app: 100%
mediawiki/extensions/MobileApp : wmf/1.27.0-wmf.11Roll out RESTBase usage to Android Beta app: 100%
mediawiki/extensions/MobileApp : masterRoll out RESTBase usage to Android Beta app: 100%
mediawiki/extensions/MobileApp : wmf/1.27.0-wmf.8Roll out RESTBase usage to Android Beta app: 55%
mediawiki/extensions/MobileApp : masterRoll out RESTBase usage to Android Beta app: 55%
mediawiki/extensions/MobileApp : wmf/1.27.0-wmf.7Roll out RESTBase usage to Android Beta app: 30%
mediawiki/extensions/MobileApp : wmf/1.27.0-wmf.8Roll out RESTBase usage to Android Beta app: 30%
mediawiki/extensions/MobileApp : masterRoll out RESTBase usage to Android Beta app: 30%
mediawiki/extensions/MobileApp : wmf/1.27.0-wmf.7Roll out RESTBase usage to Android Beta app: 10%
mediawiki/extensions/MobileApp : masterRoll out RESTBase usage to Android Beta app: 10%
apps/android/wikipedia : masterUpdate roll out config for RB usage in beta app
mediawiki/extensions/MobileApp : masterRoll out RESTBase usage to Android Beta app: 10%

Event Timeline

bearND created this task.Nov 18 2015, 5:08 PM
bearND raised the priority of this task from to Medium.
bearND updated the task description. (Show Details)
bearND moved this task to Backlog on the Mobile-Content-Service board.
bearND added subscribers: bearND, Mholloway, mobrovac and 4 others.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 18 2015, 5:08 PM
bearND updated the task description. (Show Details)Nov 18 2015, 5:44 PM
bearND set Security to None.

Change 254045 had a related patch set uploaded (by BearND):
Roll out RESTBase usage to Android Beta app: 0%

https://gerrit.wikimedia.org/r/254045

Change 254050 had a related patch set uploaded (by BearND):
Roll out RESTBase usage to Android Beta app: 10%

https://gerrit.wikimedia.org/r/254050

bearND updated the task description. (Show Details)Nov 18 2015, 10:53 PM

Change 254045 abandoned by BearND:
Roll out RESTBase usage to Android Beta app: 10%

Reason:
squashed into I5de7276e28ddbe1b4e220b16d2bf1cfec7daab75

https://gerrit.wikimedia.org/r/254045

Change 254045 restored by BearND:
Roll out RESTBase usage to Android Beta app: 10%

Reason:
oops, abandoned the wrong one

https://gerrit.wikimedia.org/r/254045

Change 254050 abandoned by BearND:
Roll out RESTBase usage to Android Beta app: 10%

Reason:
squashed into I5de7276e28ddbe1b4e220b16d2bf1cfec7daab75

https://gerrit.wikimedia.org/r/254050

bearND updated the task description. (Show Details)Nov 19 2015, 12:15 AM

Change 254367 had a related patch set uploaded (by BearND):
Update roll out config for RB usage in beta app

https://gerrit.wikimedia.org/r/254367

Change 254367 merged by jenkins-bot:
Update roll out config for RB usage in beta app

https://gerrit.wikimedia.org/r/254367

Change 254045 merged by jenkins-bot:
Roll out RESTBase usage to Android Beta app: 10%

https://gerrit.wikimedia.org/r/254045

MobileApp extension patch scheduled for merge to deployment branch during 12/7 morning SWAT:

https://wikitech.wikimedia.org/wiki/Deployments#Week_of_December_7th

Change 257365 had a related patch set uploaded (by Thcipriani):
Roll out RESTBase usage to Android Beta app: 10%

https://gerrit.wikimedia.org/r/257365

Change 257365 merged by jenkins-bot:
Roll out RESTBase usage to Android Beta app: 10%

https://gerrit.wikimedia.org/r/257365

bearND claimed this task.Dec 9 2015, 3:44 PM
bearND moved this task from Backlog to Doing on the Mobile-Content-Service board.

Change 257949 had a related patch set uploaded (by BearND):
Roll out RESTBase usage to Android Beta app: 30%

https://gerrit.wikimedia.org/r/257949

Change 257949 merged by jenkins-bot:
Roll out RESTBase usage to Android Beta app: 30%

https://gerrit.wikimedia.org/r/257949

30% roll-out MobileApp extension patch scheduled for merge to deployment branch during 12/10 morning SWAT: https://wikitech.wikimedia.org/wiki/Deployments#Thursday.2C.C2.A0December.C2.A010

Change 258159 had a related patch set uploaded (by Mholloway):
Roll out RESTBase usage to Android Beta app: 30%

https://gerrit.wikimedia.org/r/258159

Change 258161 had a related patch set uploaded (by Mholloway):
Roll out RESTBase usage to Android Beta app: 30%

https://gerrit.wikimedia.org/r/258161

Change 258161 merged by jenkins-bot:
Roll out RESTBase usage to Android Beta app: 30%

https://gerrit.wikimedia.org/r/258161

Change 258159 merged by jenkins-bot:
Roll out RESTBase usage to Android Beta app: 30%

https://gerrit.wikimedia.org/r/258159

bearND updated the task description. (Show Details)Dec 10 2015, 4:50 PM

30% roll-out deployed, cache purged

Change 258502 had a related patch set uploaded (by BearND):
Roll out RESTBase usage to Android Beta app: 55%

https://gerrit.wikimedia.org/r/258502

55% roll-out MobileApp extension patch scheduled for merge to deployment branch during 12/10 morning SWAT: https://wikitech.wikimedia.org/wiki/Deployments#Monday.2C.C2.A0December.C2.A014

bearND updated the task description. (Show Details)Dec 11 2015, 8:09 PM

Change 258502 merged by Mholloway:
Roll out RESTBase usage to Android Beta app: 55%

https://gerrit.wikimedia.org/r/258502

Change 258985 had a related patch set uploaded (by Mholloway):
Roll out RESTBase usage to Android Beta app: 55%

https://gerrit.wikimedia.org/r/258985

Change 258985 merged by jenkins-bot:
Roll out RESTBase usage to Android Beta app: 55%

https://gerrit.wikimedia.org/r/258985

55% roll-out deployed this morning during SWAT; had some issues getting the new value to show up, but is working now; cache purged

Change 263393 had a related patch set uploaded (by BearND):
Roll out RESTBase usage to Android Beta app: 100%

https://gerrit.wikimedia.org/r/263393

bearND updated the task description. (Show Details)Jan 11 2016, 6:14 PM

We'll do the roll-out to 100% RB usage in the beta app a bit later since we want the first pass of pre-generation (T121293) to have a good head-start. GWicke mentioned to day on IRC Services channel that it should start today. We at least would like to wait until all main pages are generated since they are currently outdated. It should also help performance of the pre-generation process by not doubling the load from app requests just yet.
Mholloway is going to schedule the SWAT deployment of the above patch when the time is right.

Change 263393 merged by jenkins-bot:
Roll out RESTBase usage to Android Beta app: 100%

https://gerrit.wikimedia.org/r/263393

Change 265117 had a related patch set uploaded (by Mholloway):
Roll out RESTBase usage to Android Beta app: 100%

https://gerrit.wikimedia.org/r/265117

Change 265118 had a related patch set uploaded (by Mholloway):
Roll out RESTBase usage to Android Beta app: 100%

https://gerrit.wikimedia.org/r/265118

Change 265118 merged by jenkins-bot:
Roll out RESTBase usage to Android Beta app: 100%

https://gerrit.wikimedia.org/r/265118

Change 265117 merged by jenkins-bot:
Roll out RESTBase usage to Android Beta app: 100%

https://gerrit.wikimedia.org/r/265117

Mholloway closed this task as Resolved.Jan 21 2016, 4:31 PM
Mholloway moved this task from Doing to To Deploy on the Mobile-Content-Service board.